/*

EGYPT Toolkit for Statistical Machine Translation
Written by Yaser Al-Onaizan, Jan Curin, Michael Jahr, Kevin Knight, John Lafferty, Dan Melamed, David Purdy, Franz Och, Noah Smith, and David Yarowsky.

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, 
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, 
USA.

*/
#ifndef Globals_asdf_defined
#define Globals_asdf_defined

extern float PROB_CUTOFF, COUNTINCREASE_CUTOFF, PROB_SMOOTH;
extern int ADTableIgnoreL, ADTableIgnoreM, ADTableSpecial;
extern bool Verbose, Log, Peg, Transfer, Transfer2to3, useDict ;
extern string Prefix, LogFilename, OPath, LogProbPath, 
  SourceVocabFilename, TargetVocabFilename, CorpusFilename, TestCorpusFilename, 
  t_Filename, a_Filename, p0_Filename, d_Filename, n_Filename, dictionary_Filename;
extern ofstream logmsg ;
extern int Model1_Iterations, Model2_Iterations, Model3_Iterations, Model4_Iterations ;
extern int Model1_Dump_Freq, Model2_Dump_Freq, Model3_Dump_Freq, Transfer_Dump_Freq, Model4_Dump_Freq ;
extern double P0 ;
extern bool FIX_P0, NODUMPS  ;
extern string Usage ;
extern unsigned int MAX_SENTENCE_LENGTH ;
#endif
